MediaWiki:Vector.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
removing this for now as it's either common or unused
Line 1: Line 1:
/* All CSS here will be loaded for users of the Vector skin */
/* All CSS here will be loaded for users of the Vector skin */
@import url("/index.php?title=MediaWiki:Mbox.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:FD_Mbox.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Infobox.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Quotes.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Navbox.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Font.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Item.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Colors.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Gallery.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:CustomTabs.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Tables.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:EditorDashboard.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Documentation.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Dialogue.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Tooltip.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:StaffColors.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Attributes.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:ChangeHistory.css&action=raw&ctype=text/css&cb=3");
/* Import Font */
@import url('https://fonts.googleapis.com/css2?family=Quicksand:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&family=Noto+Sans+KR:wght@400;700&family=Noto+Sans+SC:wght@400;700&family=Noto+Sans+TC:wght@400;700&family=Noto+Sans+Thai:wght@400;700&family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Sans+Avestan:wght@400;700&family=Noto+Sans+Hebrew:wght@400;700&display=swap');
:root {
--theme-page-headings-font: 'Quicksand';
}


/* Theme BG */
/* Theme BG */
Line 48: Line 22:
background: none;
background: none;
}
}


.mobileHide, .mobile-only, .no-desktop { display: none; }
.mobileHide, .mobile-only, .no-desktop { display: none; }
Line 213: Line 186:
margin-bottom: 0.7em;
margin-bottom: 0.7em;
}
}
/* For [[Template:Event Countdown]] */
.eventcountdown {
display: flex;
flex-flow: row nowrap;
justify-content: space-around;
text-align: center;
gap: 5px;
margin-bottom: 10px;
}
.eventcountdown .eventcountdown-region {
width: 100%;
border-radius: 5px;
background-color: var(--theme-page-background-color--secondary);
padding: 7px;
}
.eventcountdown .eventcountdown-region .eventcountdown-region-text {
color: var(--theme-accent-color);
font-weight: 700;
}
.eventcountdown .eventcountdown-region hr { border-color: var(--theme-accent-color); }
/* End of [[Template:Event Countdown]] */


/* For [[T:Rubi]] */
/* For [[T:Rubi]] */
Line 248: Line 196:
.rubi-center > :is(rt, rp) {
.rubi-center > :is(rt, rp) {
ruby-align: center;
ruby-align: center;
}
/* Styles for Template:Keys */
.custom-key {
display: inline-block;
border: 1px solid #5556;
border-radius: 2px;
box-shadow: 0 1px 0 rgba(0,0,0,0.2), 0 0 0 2px #DDD2 inset;
min-width: 30px;
padding: 0.1em 0.4em;
background-color: #FFFFFF;
color: #000000;
font-size: 80%;
text-align: center;
}
}